#105 Download of 'i18n.ver' failed

main
closed-fixed
unSpawn
None
5
2015-02-27
2014-02-24
Lycos
No

Just installed rkhunter 1.4.2 on RHEL6 and got "Warning: Download of 'i18n.ver' failed: Unable to determine the latest version number" after rkhunter --versioncheck --update --cronjob

From rkhunter.log file:
Info: Executing download command '/usr/bin/wget -q -O "/var/lib/rkhunter/tmp/rkhunter.upd.SFDinolYoH" http://rkhunter.sourceforge.net/1.3/i18n/1.4.2/i18n.ver 2>/dev/null'
Checking file i18n versions [ Update failed ]
Warning: Download of 'i18n.ver' failed: Unable to determine the latest version number.

url http://rkhunter.sourceforge.net/1.3/i18n/1.4.2/i18n.ver has 404 Error

Discussion

  • unSpawn

    unSpawn - 2014-02-24

    Thanks. Fixed.

     
  • unSpawn

    unSpawn - 2014-02-24
    • status: open --> closed-fixed
    • assigned_to: unSpawn
     
  • John Horne

    John Horne - 2014-02-24

    Thanks for that. It should work okay now.

     
  • Big Oak

    Big Oak - 2014-04-01

    RE: [Rootkit Hunter version 1.3.8]

    As of today (April Fools Day), ever execution of "sudo rkhunter --update" results in the following error in my logs: "Warning: Download of 'i18n.ver' failed: Unable to determine the latest version number." See below for actual terminal output:

    Checking rkhunter data files...
    Checking file mirrors.dat [ No update ]
    Checking file programs_bad.dat [ No update ]
    Checking file backdoorports.dat [ No update ]
    Checking file suspscan.dat [ No update ]
    Checking file i18n versions [ Update failed ]
    Please check the log file (/var/log/rkhunter/rkhunter.log)

    So what is the fix for this? Do I need to install a newer version. Hopefully I do not need to go through all of the setup and configuration again?

    I appreciate your efforts. THANKS!

    P.S.: I have received "Update Failed" message before, and when I tried later it worked. However, this time it continues to fail.

     
    Last edit: Big Oak 2014-04-04
  • magic

    magic - 2014-04-04

    I have the same problem like Big Oak on Ubuntu 10.04.4 LTS

     [ Rootkit Hunter version 1.3.6 ]
     File updated: searched for 163 files, found 135
    
     Checking rkhunter data files...
      Checking file mirrors.dat                                  [ No update ]
      Checking file programs_bad.dat                             [ No update ]
      Checking file backdoorports.dat                            [ No update ]
      Checking file suspscan.dat                                 [ No update ]
      Checking file i18n versions                                [ Update failed ]
    
    Please check the log file (/var/log/rkhunter.log)
    

    [20:20:51] Checking file i18n versions [ Update failed ]
    [20:20:51] Warning: Download of 'i18n.ver' failed: Unable to determine the latest version number.
    [20:20:51]
    [20:20:51] Info: End date is Fr 4. Apr 20:20:51 CEST 201
    ~~~~~~

     
    Last edit: magic 2014-04-04
  • PVasileff

    PVasileff - 2014-09-23

    Same problem on Ubuntu 12.04

    ~ $ rkhunter --update
    [ Rootkit Hunter version 1.3.8 ]

    Checking rkhunter data files...
    Checking file mirrors.dat [ No update ]
    Checking file programs_bad.dat [ No update ]
    Checking file backdoorports.dat [ No update ]
    Checking file suspscan.dat [ No update ]
    Checking file i18n versions [ Update failed ]

    Please check the log file (/var/log/rkhunter.log)

    In /var/log/rkhunter.log:

    [04:14:18] Info: Executing download command '/usr/bin/wget -q -O /var/lib/rkhunter/tmp/rkhunter.upd.7P8fZoA4xi http://rkhunter.sourceforge.net/1.3/i18n/1.3.8/i18n.ver 2>/dev/null'
    [04:14:19] Checking file i18n versions [ Update failed ]
    [04:14:19] Warning: Download of 'i18n.ver' failed: Unable to determine the latest version number.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks